
const OPERATION02010_GRID_ID = '#ITP_OPERATION02010_jqGrid';
const OPERATION02010_GRID_LIST = '#ITP_OPERATION02010_jqGrid_list';
const OPERATION02010_GRID_PAGER = '#ITP_OPERATION02010_jqGridPager';
const OPERATION02010_GRID_EMPTY = '#ITP_OPERATION02010_jqGridEmpty';

const OPERATION02010_VIEW_GRID_ID = '#ITP_OPERATION02010_VIEW_jqGrid';
const OPERATION02010_VIEW_GRID_LIST = '#ITP_OPERATION02010_VIEW_jqGrid_list';
const OPERATION02010_VIEW_GRID_PAGER = '#ITP_OPERATION02010_VIEW_jqGridPager';
const OPERATION02010_VIEW_GRID_EMPTY = '#ITP_OPERATION02010_VIEW_jqGridEmpty';

const OPERATION02010_DETAIL_GRID_ID = '#ITP_OPERATION02010_DETAIL_jqGrid';
const OPERATION02010_DETAIL_GRID_LIST = '#ITP_OPERATION02010_DETAIL_jqGrid_list';
const OPERATION02010_DETAIL_GRID_PAGER = '#ITP_OPERATION02010_DETAIL_jqGridPager';
const OPERATION02010_DETAIL_GRID_EMPTY = '#ITP_OPERATION02010_DETAIL_jqGridEmpty';

let ITP_FORM_OPERATION02010_DETAIL_IS_WRITING = false;

let NTICE_SAVE_NTICE = '/api/ntice/save-ntice';
let NTICE_DETAIL_GRID_LIST = '/api/ntice/detail-grid-list';
let NTICE_INFO_NTICE = '/api/ntice/info-ntice';
let NTICE_TARGET_GRID_LIST = '/api/ntice/target-grid-list';

require(['config'], function() {
	require([
		'jquery',
		'jquery.bootstrap.fileUpload' //파일 업로드가 있는 페이지에서 로딩
	], function($) {
		// 버튼 권한설정
		fn_proc_btn_auth('OPERATION02010');
		// 공통코드 표시
		fn_make_select(CODE_LIST, 'TARGET_CD', 'ITP_FORM_OPERATION02010_DETAIL_TARGET_CD', true, '선택');

		// 조회일자 지정
		var now = new Date();
		$('#ITP_TAB_OPERATION02010 .input-group.date').datepicker(ITP_DATE_LANGUAGE);
		$('#ITP_FORM_OPERATION02010_SEARCH_FROM_DT').datepicker('setDate', new Date(now.setMonth(now.getMonth() - 1)));
		$('#ITP_FORM_OPERATION02010_SEARCH_TO_DT').datepicker('setDate', new Date());

		// 그리드
		itp_fn_jqgrid_resize(OPERATION02010_GRID_ID, OPERATION02010_GRID_LIST, 'lg');
		itp_fn_OPERATION02010_grid.init();
    	itp_fn_fire_window_resize();

		// 조회
    	itp_fn_OPERATION02010_search();

		// 조회 버튼 클릭
		$('#ITP_BTN_OPERATION02010_SRH').on('click', function() {
			itp_OPERATION02010_search = true;
			let param = $('#ITP_FORM_OPERATION02010_SEARCH').serializeObject();
			param.gridSize = $.jgrid.defaults.rowNum;
			param.gridPage = $.jgrid.defaults.page;
			$(OPERATION02010_GRID_ID).setGridParam({'postData': JSON.stringify(param)}).trigger('reloadGrid');
		});

		// 수정 버튼
		$('#ITP_BTN_OPERATION02010_MODIFY').on('click', function() {
			itp_fn_form_clear_validate(null, '#ITP_FORM_OPERATION02010_DETAIL');
			const nticeNoVal = $('#ITP_FORM_OPERATION02010_VIEW_USER_ID').val();
			const key = {nticeNo: nticeNoVal, viewCd: 'R'};
			var param = $.param(key);
			itp_fn_OPERATION02010_detail(param);
		});

		// 신규등록 버튼
		$('#ITP_BTN_OPERATION02010_NEWREG').on('click', function() {
			itp_fn_OPERATION02010_switch_screen('ADD');
			itp_fn_form_clear_validate(null, '#ITP_FORM_OPERATION02010_DETAIL');

			//파일업로드(등록화면)
			$('#ITP_FORM_OPERATION02010_DETAIL_FILE_NO').val('');
			$('#ITP_OPERATION02010_DETAIL_UPLOAD').empty();
			const fileArgs = {
				'fileNo': $('#ITP_FORM_OPERATION02010_DETAIL_FILE_NO').val(),
				'viewCd': $('#ITP_FORM_OPERATION02010_DETAIL_VIEW_CD').val(),
				'showYn': $('#ITP_OPERATION02010_DETAIL_UPLOAD').attr('data-show-yn'),
				'fileId': '#ITP_FORM_OPERATION02010_DETAIL_FILE_NO' //파일번호를 서버에서 받아서 넣을 파일번호 인풋박스 아이디
			};
			itp_fn_set_file_upload('ITP_OPERATION02010_DETAIL_UPLOAD', 'notice', true, false, 'OPERATION02010', fileArgs);

			// 권한정보 리스트 조회
			itp_fn_OPERATION02010_detail_grid.unload();
			itp_fn_OPERATION02010_detail_grid.callBack();
		});

		// 취소/목록 버튼
		$('#ITP_BTN_OPERATION02010_CANCELLIST').on('click', function() {
			itp_fn_OPERATION02010_search();
    	});

		// 삭제 버튼
		$('#ITP_BTN_OPERATION02010_DELETE').on('click', function() {

		});

		// 저장 버튼
		$('#ITP_BTN_OPERATION02010_SAVE').on('click', function() {
			const formId = '#ITP_FORM_OPERATION02010_DETAIL';
			itp_fn_form_clear_validate(null, formId);
			var vali_nticeNo = itp_fn_form_validate(formId, formId + '_NTICE_TITL', ['empty'], undefined);
			var vali_nticeDesc = itp_fn_form_validate(formId, formId + '_NTICE_DESC', ['empty'], undefined);
			var vali_targetCd = itp_fn_form_validate(formId, formId + '_TARGET_CD', ['empty'], undefined);

			if (vali_nticeNo && vali_nticeDesc && vali_targetCd) {
				let gridInsertData = [];
				let gridUpdateData = [];
				let gridDeleteData = [];
				const rowData = $(OPERATION02010_DETAIL_GRID_ID).getRowData();
				const keyValue = $(formId + '_USER_ID').val();
				$.each(rowData, function(key, value) {
					if (value.viewCd != 'R') {
						value.nticeNo = keyValue;
						if (value.viewCd == 'C') {
							gridInsertData.push(value);
						} else if (value.viewCd == 'U') {
							gridUpdateData.push(value);
						} else if (value.viewCd == 'D') {
							gridDeleteData.push(value);
						}
					}
				});
				let param = $(formId).serializeObject();
				param.gridInsertData = gridInsertData;
				param.gridUpdateData = gridUpdateData;
				param.gridDeleteData = gridDeleteData;
				// console.log(JSON.stringify(param));

				var searhFn = function() {
					ITP_FORM_OPERATION02010_DETAIL_IS_WRITING = false;
					itp_fn_OPERATION02010_search();
				};
				fn_ajax_call(NTICE_SAVE_NTICE, JSON.stringify(param), searhFn, 'POST');
			}
		});

		// 상세:추가버튼
		$('#ITP_BTN_OPERATION02010_DETAIL_ADDROW').on('click', function() {
			// 팝업
			var popFn = function(rowDataPop) {
				// 기존등록 사용자ID
				var exists = '';
				const rowData = $(OPERATION02010_DETAIL_GRID_ID).getRowData();
				$.each(rowData, function(key, value) {
					exists = exists + value.userId + ';';
				});

				$.each(rowDataPop, function(key, value) {
					// console.log(JSON.stringify(value));
					// console.log(exists.indexOf(value.userId));
					if(exists.indexOf(value.userId) < 0) {
						// 행추가
						$(OPERATION02010_DETAIL_GRID_ID).jqGrid('addRow', {position: 'last'});
						var rids = $(OPERATION02010_DETAIL_GRID_ID).jqGrid('getDataIDs');
						var last_row_id = rids[rids.length - 1];
						$(OPERATION02010_DETAIL_GRID_ID).jqGrid('setCell', last_row_id, 'viewCd', 'C');
						$(OPERATION02010_DETAIL_GRID_ID).jqGrid('setCell', last_row_id, 'userId', value.userId);
						$(OPERATION02010_DETAIL_GRID_ID).jqGrid('setCell', last_row_id, 'userNm', value.userNm);
					}
				});
				$(OPERATION02010_DETAIL_GRID_EMPTY).hide();
			};
			fn_call_popup('comm', 'USER_SCH_POPUP', '#ITP_ASIDE', popFn, null, 'S');
		});
		// 상세:삭제버튼
		$('#ITP_BTN_OPERATION02010_DETAIL_DELROW').on('click', function() {
			itp_fn_grid_del_row(OPERATION02010_DETAIL_GRID_ID);
		});

		$('body').on('click', function(e) {
			var gridId = OPERATION02010_DETAIL_GRID_ID.replace('#', '');
			var rids = $(OPERATION02010_DETAIL_GRID_ID).jqGrid('getDataIDs');
			var last_row_id = rids[rids.length - 1];
			itp_fn_grid_reset_selection(e, last_row_id, gridId, 'OPERATION02010_DETAIL');
		});
	});
});

var itp_fn_OPERATION02010_switch_screen = function(mode) {
	if(mode == 'LIST') { // 목록
		$('#ITP_BTN_OPERATION02010_MODIFY').hide();
		$('#ITP_BTN_OPERATION02010_CANCELLIST').hide();
		$('#ITP_BTN_OPERATION02010_DELETE').hide();
		$('#ITP_BTN_OPERATION02010_SAVE').hide();
		fn_show_btn_auth('#ITP_BTN_OPERATION02010_SRH');
		fn_show_btn_auth('#ITP_BTN_OPERATION02010_NEWREG');
		
		$('#ITP_AJAX_OPERATION02010_LIST_CONTAINER').show();
		$('#ITP_AJAX_OPERATION02010_DETAIL_CONTAINER').hide();
		$('#ITP_AJAX_OPERATION02010_VIEW_CONTAINER').hide();
	} else if(mode == 'ADD') { // 등록
		$('#ITP_BTN_OPERATION02010_SRH').hide();
		$('#ITP_BTN_OPERATION02010_MODIFY').hide();
		$('#ITP_BTN_OPERATION02010_NEWREG').hide();
		$('#ITP_BTN_OPERATION02010_DELETE').hide();
		fn_show_btn_auth('#ITP_BTN_OPERATION02010_CANCELLIST');
		fn_show_btn_auth('#ITP_BTN_OPERATION02010_SAVE');
		
		$('#ITP_AJAX_OPERATION02010_LIST_CONTAINER').hide();
		$('#ITP_AJAX_OPERATION02010_DETAIL_CONTAINER').show();
		$('#ITP_AJAX_OPERATION02010_VIEW_CONTAINER').hide();

		$('#ITP_FORM_OPERATION02010_DETAIL_VIEW_CD').val('C');
		$('#ITP_FORM_OPERATION02010_DETAIL_NTICE_NO').val('');
		$('#ITP_FORM_OPERATION02010_DETAIL_NTICE_TITL').val('');
		$('#ITP_FORM_OPERATION02010_DEL_YN').val('N');
		$('#ITP_FORM_OPERATION02010_DETAIL_NTICE_DESC').val('');
		$('#ITP_FORM_OPERATION02010_DETAIL_TARGET_CD').val('');
		$('#ITP_FORM_OPERATION02010_FROM_DT').datepicker('setDate', new Date());
		$('#ITP_FORM_OPERATION02010_TO_DT').datepicker('setDate', new Date());
	} else if(mode == 'MODIFY') { // 수정
		$('#ITP_BTN_OPERATION02010_SRH').hide();
		$('#ITP_BTN_OPERATION02010_MODIFY').hide();
		$('#ITP_BTN_OPERATION02010_NEWREG').hide();
		$('#ITP_BTN_OPERATION02010_DELETE').hide();
		fn_show_btn_auth('#ITP_BTN_OPERATION02010_CANCELLIST');
		fn_show_btn_auth('#ITP_BTN_OPERATION02010_SAVE');
		
		$('#ITP_AJAX_OPERATION02010_LIST_CONTAINER').hide();
		$('#ITP_AJAX_OPERATION02010_DETAIL_CONTAINER').show();
		$('#ITP_AJAX_OPERATION02010_VIEW_CONTAINER').hide();
	} else if(mode == 'VIEW') { // 보기
		$('#ITP_BTN_OPERATION02010_SRH').hide();
		$('#ITP_BTN_OPERATION02010_NEWREG').hide();
		$('#ITP_BTN_OPERATION02010_DELETE').hide();
		$('#ITP_BTN_OPERATION02010_SAVE').hide();
		fn_show_btn_auth('#ITP_BTN_OPERATION02010_MODIFY');
		fn_show_btn_auth('#ITP_BTN_OPERATION02010_CANCELLIST');
		
		$('#ITP_AJAX_OPERATION02010_LIST_CONTAINER').hide();
		$('#ITP_AJAX_OPERATION02010_DETAIL_CONTAINER').hide();
		$('#ITP_AJAX_OPERATION02010_VIEW_CONTAINER').show();
	}
};

var itp_fn_OPERATION02010_grid = {
	init: function() {
		// 데이터 없을때
		itp_fn_OPERATION02010_empty.push();
		$(OPERATION02010_GRID_EMPTY).on('click', function() {
			itp_fn_OPERATION02010_empty.back();
			itp_OPERATION02010_param.gridSize = $.jgrid.defaults.rowNum;
			$(OPERATION02010_GRID_ID).setGridParam({'postData': JSON.stringify(itp_OPERATION02010_param)}).trigger('reloadGrid');
		});
	},
	callBack: function() {
		let param = $('#ITP_FORM_OPERATION02010_SEARCH').serializeObject();
		param.gridSize = $.jgrid.defaults.rowNum;
		$(OPERATION02010_GRID_ID).jqGrid({
			colModel: [
				{
					index: 'NTICE_NO', name: 'nticeNo',
					label: ITP_MSG_LOCALE.label.notiNo, //공지번호
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: false
				},
				{
					index: 'NTICE_TITL', name: 'nticeTitl',
					label: ITP_MSG_LOCALE.label.titlet, //공지제목
					width: '15', fixed: false, align: 'center',
					sortable: false, hidden: false
				},
				{
					index: 'TARGET_NM', name: 'targetNm',
					label: ITP_MSG_LOCALE.label.targetNm, //공지대상
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: false
				},
				{
					index: 'NTICE_STAT_NM', name: 'nticeStatNm',
					label: ITP_MSG_LOCALE.label.status, //상태
					width: '6', fixed: false, align: 'center',
					sortable: false, hidden: false
				},
				{
					index: 'NOTI_ST_DAY', name: 'notiStDay',
					label: ITP_MSG_LOCALE.label.viewDt, //노출일
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: false
				},
				{
					index: 'ADD_DT', name: 'addDt',
					label: ITP_MSG_LOCALE.label.regDt, //등록일
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: false
				}
			],
			loadBeforeSend: function(jqXHR) {
			    jqXHR.setRequestHeader('X-AUTH-TOKEN', CONN_KEY);
			},
			postData: JSON.stringify(param),
			url: DOMAIN + NTICE_DETAIL_GRID_LIST,
			pager: OPERATION02010_GRID_PAGER,
			multiselect: false,
			rownumbers: true,
			onCellSelect: function(rowId, cellIdx, cellValue) {
				var cm = $(this).jqGrid('getGridParam', 'colModel');
				var colNm = cm[cellIdx].name;
				if (colNm == 'nticeTitl') {
					const nticeNoVal = $(this).jqGrid('getCell', rowId, 'nticeNo');
					const key = {nticeNo: nticeNoVal, viewCd: 'R'};
					var param = $.param(key);
					itp_fn_OPERATION02010_view(param);
				}
		   	},
			loadComplete: function(data) {
				//console.log(JSON.stringify(data));
				itp_fn_grid_load_complete(data, OPERATION02010_GRID_ID, true, 'number', 'OPERATION02010', itp_OPERATION02010_search, itp_fn_OPERATION02010_empty, true, data.gridRecords, true);
				var ids = $(OPERATION02010_GRID_ID).getDataIDs();
				$.each(ids, function(idx, rowId) {
					$(OPERATION02010_GRID_ID).jqGrid('setCell', rowId, 'nticeTitl', '', ITP_GRID_COL_STYLE.link);
				});

				if ($('#ITP_CONTAINER').data('openYn') == 'Y') {
					$('#ITP_CONTAINER').data('openYn', 'N');
					const keyNew = {nticeNo: $('#ITP_CONTAINER').data('nticeNo'), viewCd: 'R'};
					var paramNew = $.param(keyNew);
					itp_fn_OPERATION02010_view(paramNew);
				}
		    },
		    loadError: function(jqXHR, textStatus, errorThrown) {
		    	itp_fn_grid_load_error(jqXHR, textStatus, errorThrown);
		    },
		    onPaging: function(action) {
		    	itp_fn_grid_paging(OPERATION02010_GRID_ID, action, param);
		    }
		}).navGrid(OPERATION02010_GRID_PAGER, ITP_GRID_NAV_DEFAULTS.navGrid);
	},
	clearData : function() {
		$(OPERATION02010_GRID_ID).jqGrid('clearGridData', true);
		$(OPERATION02010_GRID_LIST).find('.ui-jqgrid-bdiv').css('min-height', '100px');
		$(OPERATION02010_GRID_EMPTY).html(ITP_MSG_LOCALE.message.grid.noData);
		$(OPERATION02010_GRID_EMPTY).show();
	},
	unload : function() {
		$.jgrid.gridUnload(OPERATION02010_GRID_ID);
	}
};

var itp_fn_OPERATION02010_search = function() {
	itp_fn_OPERATION02010_switch_screen('LIST');
	itp_fn_OPERATION02010_grid.unload();
	itp_fn_OPERATION02010_grid.callBack();
};

let itp_OPERATION02010_param = {};
let itp_OPERATION02010_search = false;
var itp_fn_OPERATION02010_empty = {
	push: function() {
		let param = $('#ITP_FORM_OPERATION02010_SEARCH').serializeObject();
		itp_OPERATION02010_param = param;
	},
	back: function() {
		$('#ITP_FORM_OPERATION02010_DEVI_TP_CD').val(itp_OPERATION02010_param.deviTpCd);
		$('#ITP_FORM_OPERATION02010_ORDER_YN').val(itp_OPERATION02010_param.orderYn);
		$('#ITP_FORM_OPERATION02010_ADT_AUTH_CD').val(itp_OPERATION02010_param.adtAuthCd);
		$('#ITP_FORM_OPERATION02010_EMAIL_RCV_YN').val(itp_OPERATION02010_param.emailRcvYn);
		$('#ITP_FORM_OPERATION02010_SMS_RCV_YN').val(itp_OPERATION02010_param.smsRcvYn);
		$('#ITP_FORM_OPERATION02010_MEMB_EXIT_DT').val(itp_OPERATION02010_param.membExitDt);
		$('#ITP_FORM_OPERATION02010_FROM_DT').val(itp_OPERATION02010_param.fromDt);
		$('#ITP_FORM_OPERATION02010_TO_DT').val(itp_OPERATION02010_param.toDt);
		$('#ITP_FORM_OPERATION02010_KEYWORD').val(itp_OPERATION02010_param.keyword);
	}
};

var itp_fn_OPERATION02010_view = function(param) {
	fn_ajax_call(NTICE_INFO_NTICE, param, itp_fn_OPERATION02010_view_callback, 'GET');
};

var itp_fn_OPERATION02010_view_callback = function(result) {
	// console.log(result);
	itp_fn_OPERATION02010_switch_screen('VIEW');
	$('#ITP_FORM_OPERATION02010_VIEW #ITP_FORM_OPERATION02010_VIEW_USER_ID').val(result.nticeNo);
	$('#ITP_FORM_OPERATION02010_VIEW .fnNticeTitl').text(result.nticeTitl);
	$('#ITP_FORM_OPERATION02010_VIEW .fnNotiDay').text(result.notiStDay+' ~ '+result.notiEdDay);
	$('#ITP_FORM_OPERATION02010_VIEW .fnDelYn').text(result.delYn);
	$('#ITP_FORM_OPERATION02010_VIEW .fnNticeDesc').html(result.nticeDesc.replace(/(\n|\r\n)/g, '<br>'));
	$('#ITP_FORM_OPERATION02010_VIEW .fnTargetNm').text(result.targetNm);
	$('#ITP_FORM_OPERATION02010_VIEW_FILE_NO').val(result.fileNo); //파일번호 셋팅

	//파일업로드(뷰화면)
	$('#ITP_OPERATION02010_VIEW_UPLOAD').empty();
	const fileArgs = {
		'fileNo': $('#ITP_FORM_OPERATION02010_VIEW_FILE_NO').val(),
		'viewCd': $('#ITP_FORM_OPERATION02010_VIEW_VIEW_CD').val()
	};
	itp_fn_set_file_upload('ITP_OPERATION02010_VIEW_UPLOAD', 'notice', true, false, 'OPERATION02010', fileArgs);

	// 권한정보 리스트 조회
	itp_fn_OPERATION02010_view_grid.unload();
	itp_fn_OPERATION02010_view_grid.callBack();
};

var itp_fn_OPERATION02010_view_grid = {
	init: function() {
	},
	callBack: function() {
		let param = $('#ITP_FORM_OPERATION02010_VIEW').serializeObject();
		param.gridSize = $.jgrid.defaults.rowNum;
		param.pagingYn = false; // 페이징안함

		$(OPERATION02010_VIEW_GRID_ID).jqGrid({
			colModel: [
				{
					index: 'VIEW_CD', name: 'viewCd',
					label: ITP_MSG_LOCALE.label.viewCd,
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: true
				},
				{
					index: 'NTICE_NO', name: 'nticeNo',
					label: ITP_MSG_LOCALE.label.notiNo,
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: true
				},
				{
					index: 'USER_ID', name: 'userId',
					label: ITP_MSG_LOCALE.label.userId,
					width: '20', fixed: false, align: 'center',
					sortable: false, editable: false, edittype: 'text'
				},
				{
					index: 'USER_NM', name: 'userNm',
					label: ITP_MSG_LOCALE.label.userName,
					width: '30', fixed: false, align: 'center',
					sortable: false, editable: false, edittype: 'text'
				}
			],
			loadBeforeSend: function(jqXHR) {
			    jqXHR.setRequestHeader('X-AUTH-TOKEN', CONN_KEY);
			},
			postData: JSON.stringify(param),
			url: DOMAIN + NTICE_TARGET_GRID_LIST,
			pager: OPERATION02010_VIEW_GRID_PAGER,
			multiselect: false,
			loadComplete: function(data) {
				itp_fn_grid_load_complete(data, OPERATION02010_VIEW_GRID_ID, true, undefined, 'OPERATION02010_VIEW');
		    },
		    loadError: function(jqXHR, textStatus, errorThrown) {
		    	itp_fn_grid_load_error(jqXHR, textStatus, errorThrown);
		    },
		    onPaging: function(action) {
		    	var pagingFn = {
	    			callBack: function(args) {
	    				$(args).trigger('reloadGrid');
	    			}
	    		};
		    	if (itp_fn_check_grid_is_writing(OPERATION02010_VIEW_GRID_ID)) {
		    		itp_fn_modal_confirm(ITP_MSG_LOCALE.message.ajax.cancelData, pagingFn, OPERATION02010_VIEW_GRID_ID);
		    		return 'stop';
		    	} else {
		    		itp_fn_grid_paging(OPERATION02010_VIEW_GRID_ID, action, param);
		    	}
		    },
		    onSortCol: function(index, columnIndex, sortOrder) {
		    	var sortingFn = {
	    			callBack: function(args) {
	    				$(args).trigger('reloadGrid');
	    			}
	    		};
		    	if (itp_fn_check_grid_is_writing(OPERATION02010_VIEW_GRID_ID)) {
		    		itp_fn_modal_confirm(ITP_MSG_LOCALE.message.ajax.cancelData, sortingFn, OPERATION02010_VIEW_GRID_ID);
		    		return 'stop';
		    	} else {
		    		itp_fn_grid_sorting(OPERATION02010_VIEW_GRID_ID, index, sortOrder);
		    	}
		    }
		}).navGrid(OPERATION02010_VIEW_GRID_PAGER, ITP_GRID_NAV_DEFAULTS.navGrid);
	},
	clearData : function() {
		$(OPERATION02010_VIEW_GRID_ID).jqGrid('clearGridData', true);
		$(OPERATION02010_VIEW_GRID_LIST).find('.ui-jqgrid-bdiv').css('min-height', '100px');
		$(OPERATION02010_VIEW_GRID_EMPTY).html(ITP_MSG_LOCALE.message.grid.noData);
		$(OPERATION02010_VIEW_GRID_EMPTY).show();
	},
	unload : function() {
		$.jgrid.gridUnload(OPERATION02010_VIEW_GRID_ID);
	}
};

var itp_fn_OPERATION02010_detail = function(param) {
	fn_ajax_call(NTICE_INFO_NTICE, param, itp_fn_OPERATION02010_detail_callback, 'GET');
};

var itp_fn_OPERATION02010_detail_callback = function(result) {
	// console.log(result);
	itp_fn_OPERATION02010_switch_screen('MODIFY');
	$('#ITP_FORM_OPERATION02010_DETAIL #ITP_FORM_OPERATION02010_DETAIL_VIEW_CD').val('U');
	$('#ITP_FORM_OPERATION02010_DETAIL #ITP_FORM_OPERATION02010_DETAIL_NTICE_NO').val(result.nticeNo);
	$('#ITP_FORM_OPERATION02010_DETAIL #ITP_FORM_OPERATION02010_DETAIL_NTICE_TITL').val(result.nticeTitl);
	$('#ITP_FORM_OPERATION02010_DETAIL #ITP_FORM_OPERATION02010_FROM_DT').val(result.notiStDay);
	$('#ITP_FORM_OPERATION02010_DETAIL #ITP_FORM_OPERATION02010_TO_DT').val(result.notiEdDay);
	$('#ITP_FORM_OPERATION02010_DETAIL #ITP_FORM_OPERATION02010_DEL_YN').val(result.delYn);
	$('#ITP_FORM_OPERATION02010_DETAIL #ITP_FORM_OPERATION02010_DETAIL_NTICE_DESC').val(result.nticeDesc);
	$('#ITP_FORM_OPERATION02010_DETAIL #ITP_FORM_OPERATION02010_DETAIL_TARGET_CD').val(result.targetCd);
	$('#ITP_FORM_OPERATION02010_DETAIL_FILE_NO').val(result.fileNo); //파일번호 셋팅

	//파일업로드(수정화면)
	$('#ITP_OPERATION02010_DETAIL_UPLOAD').empty();
	const fileArgs = {
		'fileNo': $('#ITP_FORM_OPERATION02010_DETAIL_FILE_NO').val(),
		'viewCd': $('#ITP_FORM_OPERATION02010_DETAIL_VIEW_CD').val(),
		'showYn': $('#ITP_OPERATION02010_DETAIL_UPLOAD').attr('data-show-yn'),
		'fileId': '#ITP_FORM_OPERATION02010_DETAIL_FILE_NO' //파일번호를 서버에서 받아서 넣을 파일번호 인풋박스 아이디
	};
	itp_fn_set_file_upload('ITP_OPERATION02010_DETAIL_UPLOAD', 'notice', true, false, 'OPERATION02010', fileArgs);

	// 리스트 조회
	itp_fn_OPERATION02010_detail_grid.unload();
	itp_fn_OPERATION02010_detail_grid.callBack();
};

var itp_fn_OPERATION02010_detail_grid = {
	init: function() {
	},
	callBack: function() {
		let param = $('#ITP_FORM_OPERATION02010_DETAIL').serializeObject();
		param.gridSize = $.jgrid.defaults.rowNum;
		param.pagingYn = false; // 페이지안함

		$(OPERATION02010_DETAIL_GRID_ID).jqGrid({
			colModel: [
				{
					index: 'VIEW_CD', name: 'viewCd',
					label: ITP_MSG_LOCALE.label.viewCd,
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: true
				},
				{
					index: 'NTICE_NO', name: 'nticeNo',
					label: ITP_MSG_LOCALE.label.notiNo,
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: true
				},
				{
					index: 'USER_ID', name: 'userId',
					label: ITP_MSG_LOCALE.label.userId,
					width: '20', fixed: false, align: 'center',
					sortable: false, editable: false, edittype: 'text'
				},
				{
					index: 'USER_NM', name: 'userNm',
					label: ITP_MSG_LOCALE.label.userName,
					width: '30', fixed: false, align: 'center',
					sortable: false, editable: false, edittype: 'text'
				}
			],
			loadBeforeSend: function(jqXHR) {
			    jqXHR.setRequestHeader('X-AUTH-TOKEN', CONN_KEY);
			},
			postData: JSON.stringify(param),
			url: DOMAIN + NTICE_TARGET_GRID_LIST,
			pager: OPERATION02010_DETAIL_GRID_PAGER,
			loadComplete: function(data) {
				itp_fn_grid_load_complete(data, OPERATION02010_DETAIL_GRID_ID, true, undefined, 'OPERATION02010_DETAIL');
		    },
		    loadError: function(jqXHR, textStatus, errorThrown) {
		    	itp_fn_grid_load_error(jqXHR, textStatus, errorThrown);
		    },
		    onPaging: function(action) {
		    	var pagingFn = {
	    			callBack: function(args) {
	    				$(args).trigger('reloadGrid');
	    			}
	    		};
		    	if (itp_fn_check_grid_is_writing(OPERATION02010_DETAIL_GRID_ID)) {
		    		itp_fn_modal_confirm(ITP_MSG_LOCALE.message.ajax.cancelData, pagingFn, OPERATION02010_DETAIL_GRID_ID);
		    		return 'stop';
		    	} else {
		    		itp_fn_grid_paging(OPERATION02010_DETAIL_GRID_ID, action, param);
		    	}
		    },
		    onSortCol: function(index, columnIndex, sortOrder) {
		    	var sortingFn = {
	    			callBack: function(args) {
	    				$(args).trigger('reloadGrid');
	    			}
	    		};
		    	if (itp_fn_check_grid_is_writing(OPERATION02010_DETAIL_GRID_ID)) {
		    		itp_fn_modal_confirm(ITP_MSG_LOCALE.message.ajax.cancelData, sortingFn, OPERATION02010_DETAIL_GRID_ID);
		    		return 'stop';
		    	} else {
		    		itp_fn_grid_sorting(OPERATION02010_DETAIL_GRID_ID, index, sortOrder);
		    	}
		    }
		}).navGrid(OPERATION02010_DETAIL_GRID_PAGER, ITP_GRID_NAV_DEFAULTS.navGrid);
	},
	clearData : function() {
		$(OPERATION02010_DETAIL_GRID_ID).jqGrid('clearGridData', true);
		$(OPERATION02010_DETAIL_GRID_LIST).find('.ui-jqgrid-bdiv').css('min-height', '100px');
		$(OPERATION02010_DETAIL_GRID_EMPTY).html(ITP_MSG_LOCALE.message.grid.noData);
		$(OPERATION02010_DETAIL_GRID_EMPTY).show();
	},
	unload : function() {
		$.jgrid.gridUnload(OPERATION02010_DETAIL_GRID_ID);
	}
};