
const OPERATION03010_GRID_ID = '#ITP_OPERATION03010_jqGrid';
const OPERATION03010_GRID_LIST = '#ITP_OPERATION03010_jqGrid_list';
const OPERATION03010_GRID_PAGER = '#ITP_OPERATION03010_jqGridPager';
const OPERATION03010_GRID_EMPTY = '#ITP_OPERATION03010_jqGridEmpty';

let ITP_FORM_OPERATION03010_DETAIL_IS_DUPLICATE = false;
let ITP_FORM_OPERATION03010_DETAIL_IS_WRITING = false;

let POP_SAVE_POP = '/api/pop/save-pop';
let POP_DETAIL_GRID_LIST = '/api/pop/detail-grid-list';
let POP_INFO_POP = '/api/pop/info-pop';

var ITP_FORM_OPERATION03010_DETAIL_EDITOR_IS_CREATED = false;
var ITP_FORM_OPERATION03010_DETAIL_EDITOR = [];
var ITP_FORM_OPERATION03010_VIEW_EDITOR_IS_CREATED = false;
var ITP_FORM_OPERATION03010_VIEW_EDITOR = [];

require(['config'], function() {
	require([
		'jquery', 
		'smarteditor2',
		'jquery.bootstrap.fileUpload' //파일 업로드가 있는 페이지에서 로딩
	], function($) {
		// 버튼 권한설정
		fn_proc_btn_auth('OPERATION03010');
		// 공통코드 표시
		fn_make_select(CODE_LIST, 'POP_TYPE_CD', 'ITP_FORM_OPERATION03010_DETAIL_POP_TYPE_CD', true, '선택');
		fn_make_select(CODE_LIST, 'VIEW_TARGET_CD', 'ITP_FORM_OPERATION03010_DETAIL_VIEW_TARGET_CD', true, '선택');
		
		// 조회일자 지정
		var now = new Date();
		$('#ITP_TAB_OPERATION03010 .input-group.date').datepicker(ITP_DATE_LANGUAGE);
		$('#ITP_FORM_OPERATION03010_SEARCH_FROM_DT').datepicker('setDate', new Date(now.setMonth(now.getMonth() - 1)));
		$('#ITP_FORM_OPERATION03010_SEARCH_TO_DT').datepicker('setDate', new Date());
				
		// 그리드				
		itp_fn_jqgrid_resize(OPERATION03010_GRID_ID, OPERATION03010_GRID_LIST, 'lg');
		itp_fn_OPERATION03010_grid.init();
    	itp_fn_fire_window_resize();

		// 조회    	
    	itp_fn_OPERATION03010_search();
    	
		// 조회 버튼 클릭
		$('#ITP_BTN_OPERATION03010_SRH').on('click', function() {
			itp_OPERATION03010_search = true;
			let param = $('#ITP_FORM_OPERATION03010_SEARCH').serializeObject();
			param.gridSize = $.jgrid.defaults.rowNum;
			param.gridPage = $.jgrid.defaults.page;
			$(OPERATION03010_GRID_ID).setGridParam({'postData': JSON.stringify(param)}).trigger('reloadGrid');
		});
		
		// 수정 버튼
		$('#ITP_BTN_OPERATION03010_MODIFY').on('click', function() {
			itp_fn_form_clear_validate(null, '#ITP_FORM_OPERATION03010_DETAIL');			
			const popNoVal = $('#ITP_FORM_OPERATION03010_VIEW_POP_NO').val();
			const key = {popNo: popNoVal, viewCd: 'R'};
			var param = $.param(key);
			itp_fn_OPERATION03010_detail(param);	
		});
		
		// 신규등록 버튼
		$('#ITP_BTN_OPERATION03010_NEWREG').on('click', function() {
			itp_fn_OPERATION03010_switch_screen('ADD', function() { 
				itp_fn_form_clear_validate(null, '#ITP_FORM_OPERATION03010_DETAIL');
			
				ITP_FORM_OPERATION03010_DETAIL_EDITOR.getById["ITP_FORM_OPERATION03010_DETAIL_POP_DESC"].exec("SET_IR", [""]); //내용초기화
				
				//파일업로드(등록화면)
				$('#ITP_FORM_OPERATION03010_DETAIL_FILE_NO').val('');
				$('#ITP_OPERATION03010_DETAIL_UPLOAD').empty();
				const fileArgs = {
					'fileNo': $('#ITP_FORM_OPERATION03010_DETAIL_FILE_NO').val(),
					'viewCd': $('#ITP_FORM_OPERATION03010_DETAIL_VIEW_CD').val(),
					'showYn': $('#ITP_OPERATION03010_DETAIL_UPLOAD').attr('data-show-yn'),
					'fileId': '#ITP_FORM_OPERATION03010_DETAIL_FILE_NO' //파일번호를 서버에서 받아서 넣을 파일번호 인풋박스 아이디
				};
				itp_fn_set_file_upload('ITP_OPERATION03010_DETAIL_UPLOAD', 'notice', true, false, 'OPERATION03010', fileArgs);
			});		
		});
		
		// 취소/목록 버튼
		$('#ITP_BTN_OPERATION03010_CANCELLIST').on('click', function() {
			itp_fn_OPERATION03010_search();
    	});
		
		// 삭제 버튼
		$('#ITP_BTN_OPERATION03010_DELETE').on('click', function() {
			
		});
		
		// 저장 버튼
		$('#ITP_BTN_OPERATION03010_SAVE').on('click', function() {			
			const formId = '#ITP_FORM_OPERATION03010_DETAIL';
			itp_fn_form_clear_validate(null, formId);			
			var vali_popNo = itp_fn_form_validate(formId, formId + '_POP_NM', ['empty'], undefined);
			var vali_popTypeCd = itp_fn_form_validate(formId, formId + '_POP_TYPE_CD', ['empty'], undefined);
			var vali_viewTargetCd = itp_fn_form_validate(formId, formId + '_VIEW_TARGET_CD', ['empty'], undefined);

			if (vali_popNo && vali_popTypeCd && vali_viewTargetCd) {
				// 에디터 값 처리
				ITP_FORM_OPERATION03010_DETAIL_EDITOR.getById["ITP_FORM_OPERATION03010_DETAIL_POP_DESC"].exec("UPDATE_CONTENTS_FIELD", []);
				
				let param = $(formId).serializeObject();
				
				var searhFn = function() {
					ITP_FORM_OPERATION03010_DETAIL_IS_WRITING = false;
					itp_fn_OPERATION03010_search();
				};
				fn_ajax_call(POP_SAVE_POP, JSON.stringify(param), searhFn, 'POST');
			}
		});		
		
		$('#ITP_BTN_OPERATION03010_VIEW_PREVIEW').on('click', function() {
			var popFn = function(rowDataPop) {								
			};
			const popNoVal = $('#ITP_FORM_OPERATION03010_VIEW_POP_NO').val();
			const popWidth = $('#ITP_FORM_OPERATION03010_VIEW_POP_WIDTH').val();
			const popHeight = $('#ITP_FORM_OPERATION03010_VIEW_POP_HEIGHT').val();
			// const key = {popNo: popNoVal, viewCd: 'R'};
			// var param = $.param(key);
			// fn_call_popup('biz', 'BIZPOP_POPUP_PREVIEW', '#ITP_ASIDE', popFn, param, 'S');
			fn_popup_window_center('popup.html?popNo='+popNoVal+'&preview=Y', popNoVal, popWidth, popHeight, 0);
		});
		
		$('#ITP_BTN_OPERATION03010_DETAIL_PREVIEW').on('click', function() {
			var popFn = function(rowDataPop) {								
			};
			const popNoVal = $('#ITP_FORM_OPERATION03010_DETAIL_POP_NO').val();
			const popWidth = $('#ITP_FORM_OPERATION03010_DETAIL_POP_WIDTH').val();
			const popHeight = $('#ITP_FORM_OPERATION03010_DETAIL_POP_HEIGHT').val();
			// const key = {popNo: popNoVal, viewCd: 'R'};
			// var param = $.param(key);
			// fn_call_popup('biz', 'BIZPOP_POPUP_PREVIEW', '#ITP_ASIDE', popFn, param, 'S');
			fn_popup_window_center('popup.html?popNo='+popNoVal+'&preview=Y', popNoVal, popWidth, popHeight, 0);
		});
		
		$('#ITP_BTN_OPERATION03010_DETAIL_MENU_SCH').on('click', function() {
			var popFn = function(rowDataPop) {
				// console.log('rowDataPop : ' + JSON.stringify(rowDataPop));
				$.each(rowDataPop, function(key, value) {
					$('#ITP_FORM_OPERATION03010_DETAIL_MENU_NO').val(value.menuNo);					
					$('#ITP_FORM_OPERATION03010_DETAIL_MENU_PATH').val(value.idPathNm);
				});
			};
			fn_call_popup('comm', 'MENU_SCH_POPUP', '#ITP_ASIDE', popFn, null, 'S');
		});
		
		// 노출위치 변경
		$('#ITP_FORM_OPERATION03010_DETAIL_VIEW_TARGET_CD').on('change', function() {
			if($('#ITP_FORM_OPERATION03010_DETAIL_VIEW_TARGET_CD').val() == 'S') { // 노출위치:선택메뉴
				$('#ITP_FORM_OPERATION03010_DETAIL #ITP_BTN_OPERATION03010_DETAIL_MENU_SCH').show();
				$('#ITP_FORM_OPERATION03010_DETAIL #ITP_FORM_OPERATION03010_DETAIL_MENU_PATH').show();
			} else {
				$('#ITP_FORM_OPERATION03010_DETAIL #ITP_BTN_OPERATION03010_DETAIL_MENU_SCH').hide();
				$('#ITP_FORM_OPERATION03010_DETAIL #ITP_FORM_OPERATION03010_DETAIL_MENU_PATH').hide();
			}
		});
		
	});
});

var itp_fn_OPERATION03010_switch_screen = function(mode, fnCall) {
	if(mode == 'LIST') { // 목록
		$('#ITP_BTN_OPERATION03010_MODIFY').hide();
		$('#ITP_BTN_OPERATION03010_CANCELLIST').hide();
		$('#ITP_BTN_OPERATION03010_DELETE').hide();
		$('#ITP_BTN_OPERATION03010_SAVE').hide();
		fn_show_btn_auth('#ITP_BTN_OPERATION03010_SRH');
		fn_show_btn_auth('#ITP_BTN_OPERATION03010_NEWREG');
		
		$('#ITP_AJAX_OPERATION03010_LIST_CONTAINER').show();
		$('#ITP_AJAX_OPERATION03010_DETAIL_CONTAINER').hide();		
		$('#ITP_AJAX_OPERATION03010_VIEW_CONTAINER').hide();
	} else if(mode == 'ADD') { // 등록
		ITP_FORM_OPERATION03010_DETAIL_IS_DUPLICATE = true;
	
		$('#ITP_BTN_OPERATION03010_SRH').hide();
		$('#ITP_BTN_OPERATION03010_MODIFY').hide();
		$('#ITP_BTN_OPERATION03010_NEWREG').hide();		
		$('#ITP_BTN_OPERATION03010_DELETE').hide();
		fn_show_btn_auth('#ITP_BTN_OPERATION03010_CANCELLIST');
		fn_show_btn_auth('#ITP_BTN_OPERATION03010_SAVE');
		
		$('#ITP_AJAX_OPERATION03010_LIST_CONTAINER').hide();
		$('#ITP_AJAX_OPERATION03010_DETAIL_CONTAINER').show();
		$('#ITP_AJAX_OPERATION03010_VIEW_CONTAINER').hide();		
		
		$('#ITP_FORM_OPERATION03010_DETAIL_VIEW_CD').val('C');
		$('#ITP_FORM_OPERATION03010_DETAIL_POP_NO').val('');		
		$('#ITP_FORM_OPERATION03010_DETAIL_MENU_NO').val('');		
		$('#ITP_FORM_OPERATION03010_DETAIL_POP_NM').val('');
		$('#ITP_FORM_OPERATION03010_DETAIL_POP_ST_DAY').datepicker('setDate', new Date());		
		$('#ITP_FORM_OPERATION03010_DETAIL_POP_ED_DAY').datepicker('setDate', new Date());
		$('#ITP_FORM_OPERATION03010_DETAIL_DEL_YN').val('N');		
		
		$('#ITP_FORM_OPERATION03010_DETAIL_POP_TYPE_CD').val('');		
		$('#ITP_FORM_OPERATION03010_DETAIL_POP_DESC').val('');		
		$('#ITP_FORM_OPERATION03010_DETAIL_VIEW_TARGET_CD').val('');		
		$('#ITP_FORM_OPERATION03010_DETAIL_MENU_PATH').val('');		
		$('#ITP_BTN_OPERATION03010_DETAIL_MENU_SCH').hide();		
		$('#ITP_FORM_OPERATION03010_DETAIL_MENU_PATH').hide();		
		// $('#ITP_FORM_OPERATION03010_DETAIL .fnPopFileNo').text('');	
		
		// 에디터 설정
		itp_fn_OPERATION03010_DETAIL_create_editor(fnCall);		
		// ITP_FORM_OPERATION03010_DETAIL_EDITOR.getById["ITP_FORM_OPERATION03010_DETAIL_POP_DESC"].exec("SET_IR", [""]); //내용초기화	
		
	} else if(mode == 'MODIFY') { // 수정
		$('#ITP_BTN_OPERATION03010_SRH').hide();
		$('#ITP_BTN_OPERATION03010_MODIFY').hide();
		$('#ITP_BTN_OPERATION03010_NEWREG').hide();		
		$('#ITP_BTN_OPERATION03010_DELETE').hide();
		fn_show_btn_auth('#ITP_BTN_OPERATION03010_CANCELLIST');
		fn_show_btn_auth('#ITP_BTN_OPERATION03010_SAVE');
		
		$('#ITP_AJAX_OPERATION03010_LIST_CONTAINER').hide();
		$('#ITP_AJAX_OPERATION03010_DETAIL_CONTAINER').show();
		$('#ITP_AJAX_OPERATION03010_VIEW_CONTAINER').hide();
		
		// 에디터 설정
		itp_fn_OPERATION03010_DETAIL_create_editor(fnCall);
			
	} else if(mode == 'VIEW') { // 보기
		$('#ITP_BTN_OPERATION03010_SRH').hide();
		$('#ITP_BTN_OPERATION03010_NEWREG').hide();		
		$('#ITP_BTN_OPERATION03010_DELETE').hide();
		$('#ITP_BTN_OPERATION03010_SAVE').hide();
		fn_show_btn_auth('#ITP_BTN_OPERATION03010_CANCELLIST');
		fn_show_btn_auth('#ITP_BTN_OPERATION03010_MODIFY');
		
		$('#ITP_AJAX_OPERATION03010_LIST_CONTAINER').hide();
		$('#ITP_AJAX_OPERATION03010_DETAIL_CONTAINER').hide();
		$('#ITP_AJAX_OPERATION03010_VIEW_CONTAINER').show();
		
		// 에디터 설정
		itp_fn_OPERATION03010_VIEW_create_editor(fnCall);
	}	
};

var itp_fn_OPERATION03010_grid = {
	init: function() {
		// 데이터 없을때
		itp_fn_OPERATION03010_empty.push();
		$(OPERATION03010_GRID_EMPTY).on('click', function() {
			itp_fn_OPERATION03010_empty.back();
			itp_OPERATION03010_param.gridSize = $.jgrid.defaults.rowNum;
			$(OPERATION03010_GRID_ID).setGridParam({'postData': JSON.stringify(itp_OPERATION03010_param)}).trigger('reloadGrid');
		});	
	},
	callBack: function() {
		let param = $('#ITP_FORM_OPERATION03010_SEARCH').serializeObject();
		param.gridSize = $.jgrid.defaults.rowNum;	
		$(OPERATION03010_GRID_ID).jqGrid({
			colModel: [
				{
					index: 'POP_NO', name: 'popNo',
					label: ITP_MSG_LOCALE.label.popNo, 
					width: '8', fixed: false, align: 'center',
					sortable: false, hidden: false
				},
				{
					index: 'POP_NM', name: 'popNm',
					label: ITP_MSG_LOCALE.label.popNm, 
					width: '15', fixed: false, align: 'center',
					sortable: false, hidden: false
				},
				{
					index: 'VIEW_TARGET_NM', name: 'viewTargetNm',
					label: ITP_MSG_LOCALE.label.showPlace, 
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: false
				},
				{
					index: 'POP_STAT_NM', name: 'popStatNm',
					label: ITP_MSG_LOCALE.label.status, //상태
					width: '6', fixed: false, align: 'center',
					sortable: false, hidden: false
				},				
				{
					index: 'POP_ST_DAY', name: 'popStDay',
					label: ITP_MSG_LOCALE.label.viewDt, //노출일
					width: '8', fixed: false, align: 'center',
					sortable: false, hidden: false
				},
				{
					index: 'ADD_DT', name: 'addDt',
					label: ITP_MSG_LOCALE.label.regDt, //등록일
					width: '8', fixed: false, align: 'center',
					sortable: false, hidden: false
				}
			],
			loadBeforeSend: function(jqXHR) {
			    jqXHR.setRequestHeader('X-AUTH-TOKEN', CONN_KEY);
			},
			postData: JSON.stringify(param),
			url: DOMAIN + POP_DETAIL_GRID_LIST,
			pager: OPERATION03010_GRID_PAGER,
			multiselect: false,
			rownumbers: true, 
			onCellSelect: function(rowId, cellIdx, cellValue) {
				var cm = $(this).jqGrid('getGridParam', 'colModel');
				var colNm = cm[cellIdx].name;
				if (colNm == 'popNm') {
					const popNoVal = $(this).jqGrid('getCell', rowId, 'popNo');
					const key = {popNo: popNoVal, viewCd: 'R'};
					var param = $.param(key);
					itp_fn_OPERATION03010_view(param);
				}
		   	},
			loadComplete: function(data) {
				//console.log(JSON.stringify(data));
				itp_fn_grid_load_complete(data, OPERATION03010_GRID_ID, true, 'number', 'OPERATION03010', itp_OPERATION03010_search, itp_fn_OPERATION03010_empty, true, data.gridRecords, true);
				var ids = $(OPERATION03010_GRID_ID).getDataIDs();
				$.each(ids, function(idx, rowId) {
					$(OPERATION03010_GRID_ID).jqGrid('setCell', rowId, 'popNm', '', ITP_GRID_COL_STYLE.link);
				});
		    },
		    loadError: function(jqXHR, textStatus, errorThrown) {
		    	itp_fn_grid_load_error(jqXHR, textStatus, errorThrown);
		    },
		    onPaging: function(action) {
		    	itp_fn_grid_paging(OPERATION03010_GRID_ID, action, param);
		    }
		}).navGrid(OPERATION03010_GRID_PAGER, ITP_GRID_NAV_DEFAULTS.navGrid);
	},
	clearData : function() {
		$(OPERATION03010_GRID_ID).jqGrid('clearGridData', true);
		$(OPERATION03010_GRID_LIST).find('.ui-jqgrid-bdiv').css('min-height', '100px');
		$(OPERATION03010_GRID_EMPTY).html(ITP_MSG_LOCALE.message.grid.noData);
		$(OPERATION03010_GRID_EMPTY).show();
	}, 
	unload : function() {
		$.jgrid.gridUnload(OPERATION03010_GRID_ID); 
	}
};

var itp_fn_OPERATION03010_search = function() {
	itp_fn_OPERATION03010_switch_screen('LIST');	
	itp_fn_OPERATION03010_grid.unload();
	itp_fn_OPERATION03010_grid.callBack();
};

let itp_OPERATION03010_param = {};
let itp_OPERATION03010_search = false;
var itp_fn_OPERATION03010_empty = {
	push: function() {
		let param = $('#ITP_FORM_OPERATION03010_SEARCH').serializeObject();
		itp_OPERATION03010_param = param;
	},
	back: function() {
		$('#ITP_FORM_OPERATION03010_DEVI_TP_CD').val(itp_OPERATION03010_param.deviTpCd);
		$('#ITP_FORM_OPERATION03010_ORDER_YN').val(itp_OPERATION03010_param.orderYn);
		$('#ITP_FORM_OPERATION03010_ADT_AUTH_CD').val(itp_OPERATION03010_param.adtAuthCd);
		$('#ITP_FORM_OPERATION03010_EMAIL_RCV_YN').val(itp_OPERATION03010_param.emailRcvYn);
		$('#ITP_FORM_OPERATION03010_SMS_RCV_YN').val(itp_OPERATION03010_param.smsRcvYn);
		$('#ITP_FORM_OPERATION03010_MEMB_EXIT_DT').val(itp_OPERATION03010_param.membExitDt);
		$('#ITP_FORM_OPERATION03010_FROM_DT').val(itp_OPERATION03010_param.fromDt);
		$('#ITP_FORM_OPERATION03010_TO_DT').val(itp_OPERATION03010_param.toDt);
		$('#ITP_FORM_OPERATION03010_KEYWORD').val(itp_OPERATION03010_param.keyword);
	}
};

var itp_fn_OPERATION03010_view = function(param) {
	fn_ajax_call(POP_INFO_POP, param, itp_fn_OPERATION03010_view_callback, 'GET');
};

var itp_fn_OPERATION03010_view_callback = function(result) {
	itp_fn_OPERATION03010_switch_screen('VIEW', function() {
		$('#ITP_FORM_OPERATION03010_VIEW #ITP_FORM_OPERATION03010_VIEW_POP_NO').val(result.popNo);	
		$('#ITP_FORM_OPERATION03010_VIEW .fnPopNm').text(result.popNm);	
		$('#ITP_FORM_OPERATION03010_VIEW .fnPopDay').text(result.popStDay+' ~ '+result.popEdDay);
		$('#ITP_FORM_OPERATION03010_VIEW .fnDelYn').text(result.delYn);
		$('#ITP_FORM_OPERATION03010_VIEW .fnPopTypeNm').text(result.popTypeNm);
		$('#ITP_FORM_OPERATION03010_VIEW .fnSize').text(result.popWidth + ' / ' + result.popHeight);
		$('#ITP_FORM_OPERATION03010_VIEW_FILE_NO').val(result.popFileNo); //파일번호 셋팅
		$('#ITP_FORM_OPERATION03010_VIEW_POP_WIDTH').val(result.popWidth); 
		$('#ITP_FORM_OPERATION03010_VIEW_POP_HEIGHT').val(result.popHeight); 
		
		if(result.viewTargetCd == 'S') {
			$('#ITP_FORM_OPERATION03010_VIEW .fnViewTargetNm').text(result.viewTargetNm + ' (' + result.menuPath + ')'); //
		} else {
			$('#ITP_FORM_OPERATION03010_VIEW .fnViewTargetNm').text(result.viewTargetNm); //	
		}
		
		ITP_FORM_OPERATION03010_VIEW_EDITOR.getById["ITP_FORM_OPERATION03010_VIEW_POP_DESC"].exec("SET_IR", [""]); //내용초기화
		ITP_FORM_OPERATION03010_VIEW_EDITOR.getById["ITP_FORM_OPERATION03010_VIEW_POP_DESC"].exec("PASTE_HTML", [result.popDesc]);
		
		//파일업로드(뷰화면)
		$('#ITP_OPERATION03010_VIEW_UPLOAD').empty();
		const fileArgs = {
			'fileNo': $('#ITP_FORM_OPERATION03010_VIEW_FILE_NO').val(),
			'viewCd': $('#ITP_FORM_OPERATION03010_VIEW_VIEW_CD').val()
		};
		itp_fn_set_file_upload('ITP_OPERATION03010_VIEW_UPLOAD', 'notice', true, false, 'OPERATION03010', fileArgs);
	});	
};


var itp_fn_OPERATION03010_detail = function(param) {
	fn_ajax_call(POP_INFO_POP, param, itp_fn_OPERATION03010_detail_callback, 'GET');
};

var itp_fn_OPERATION03010_detail_callback = function(result) {	
	itp_fn_OPERATION03010_switch_screen('MODIFY', function() {
		$('#ITP_FORM_OPERATION03010_DETAIL #ITP_FORM_OPERATION03010_DETAIL_VIEW_CD').val('U');
		$('#ITP_FORM_OPERATION03010_DETAIL #ITP_FORM_OPERATION03010_DETAIL_POP_NO').val(result.popNo);
		$('#ITP_FORM_OPERATION03010_DETAIL #ITP_FORM_OPERATION03010_DETAIL_MENU_NO').val(result.menuNo);
		$('#ITP_FORM_OPERATION03010_DETAIL #ITP_FORM_OPERATION03010_DETAIL_POP_NM').val(result.popNm);
		$('#ITP_FORM_OPERATION03010_DETAIL #ITP_FORM_OPERATION03010_DETAIL_POP_ST_DAY').val(result.popStDay);
		$('#ITP_FORM_OPERATION03010_DETAIL #ITP_FORM_OPERATION03010_DETAIL_POP_ED_DAY').val(result.popEdDay);
		$('#ITP_FORM_OPERATION03010_DETAIL #ITP_FORM_OPERATION03010_DETAIL_DEL_YN').val(result.delYn);
		$('#ITP_FORM_OPERATION03010_DETAIL #ITP_FORM_OPERATION03010_DETAIL_POP_TYPE_CD').val(result.popTypeCd);
		$('#ITP_FORM_OPERATION03010_DETAIL #ITP_FORM_OPERATION03010_DETAIL_VIEW_TARGET_CD').val(result.viewTargetCd);
		$('#ITP_FORM_OPERATION03010_DETAIL #ITP_FORM_OPERATION03010_DETAIL_MENU_PATH').val(result.menuPath);	
		$('#ITP_FORM_OPERATION03010_DETAIL #ITP_FORM_OPERATION03010_DETAIL_POP_WIDTH').val(result.popWidth);	
		$('#ITP_FORM_OPERATION03010_DETAIL #ITP_FORM_OPERATION03010_DETAIL_POP_HEIGHT').val(result.popHeight);	
		$('#ITP_FORM_OPERATION03010_DETAIL_FILE_NO').val(result.popFileNo); //파일번호 셋팅
		
		if(result.viewTargetCd == 'S') { // 노출위치:선택메뉴
			$('#ITP_FORM_OPERATION03010_DETAIL #ITP_BTN_OPERATION03010_DETAIL_MENU_SCH').show();
			$('#ITP_FORM_OPERATION03010_DETAIL #ITP_FORM_OPERATION03010_DETAIL_MENU_PATH').show();
		} else {
			$('#ITP_FORM_OPERATION03010_DETAIL #ITP_BTN_OPERATION03010_DETAIL_MENU_SCH').hide();
			$('#ITP_FORM_OPERATION03010_DETAIL #ITP_FORM_OPERATION03010_DETAIL_MENU_PATH').hide();
		}
		
		ITP_FORM_OPERATION03010_DETAIL_EDITOR.getById["ITP_FORM_OPERATION03010_DETAIL_POP_DESC"].exec("SET_IR", [""]); //내용초기화
		ITP_FORM_OPERATION03010_DETAIL_EDITOR.getById["ITP_FORM_OPERATION03010_DETAIL_POP_DESC"].exec("PASTE_HTML", [result.popDesc]);	
		
		//파일업로드(수정화면)
		$('#ITP_OPERATION03010_DETAIL_UPLOAD').empty();
		const fileArgs = {
			'fileNo': $('#ITP_FORM_OPERATION03010_DETAIL_FILE_NO').val(),
			'viewCd': $('#ITP_FORM_OPERATION03010_DETAIL_VIEW_CD').val(),
			'showYn': $('#ITP_OPERATION03010_DETAIL_UPLOAD').attr('data-show-yn'),
			'fileId': '#ITP_FORM_OPERATION03010_DETAIL_FILE_NO' //파일번호를 서버에서 받아서 넣을 파일번호 인풋박스 아이디
		};
		itp_fn_set_file_upload('ITP_OPERATION03010_DETAIL_UPLOAD', 'notice', true, false, 'OPERATION03010', fileArgs);
	});
};

var itp_fn_OPERATION03010_DETAIL_create_editor = function(fnCall) {	
	if(ITP_FORM_OPERATION03010_DETAIL_EDITOR_IS_CREATED == false) {
		nhn.husky.EZCreator.createInIFrame({
			oAppRef: ITP_FORM_OPERATION03010_DETAIL_EDITOR,
			elPlaceHolder: "ITP_FORM_OPERATION03010_DETAIL_POP_DESC",
			sSkinURI: "se2/SmartEditor2Skin.html",	
			htParams : {
				bUseToolbar : true,				// 툴바 사용 여부 (true:사용/ false:사용하지 않음)
				bUseVerticalResizer : true,		// 입력창 크기 조절바 사용 여부 (true:사용/ false:사용하지 않음)
				bUseModeChanger : true,			// 모드 탭(Editor | HTML | TEXT) 사용 여부 (true:사용/ false:사용하지 않음)
				fOnBeforeUnload : function(){
					//alert("완료!");
				},
				I18N_LOCALE : "ko_KR"
			}, //boolean
			fOnAppLoad : function(){				
				$('#ITP_FORM_OPERATION03010_DETAIL iframe').width('101%');
				ITP_FORM_OPERATION03010_DETAIL_EDITOR.getById["ITP_FORM_OPERATION03010_DETAIL_POP_DESC"].exec("SET_IR", [""]); //내용초기화
				if(fnCall) {
					fnCall();
				}					
			},
			fCreator: "createSEditor2"
		});			
		ITP_FORM_OPERATION03010_DETAIL_EDITOR_IS_CREATED = true;
	} else {
		if(fnCall) {
			fnCall();
		}
	}
};

var itp_fn_OPERATION03010_VIEW_create_editor = function(fnCall) {	
	if(ITP_FORM_OPERATION03010_VIEW_EDITOR_IS_CREATED == false) {
		nhn.husky.EZCreator.createInIFrame({
			oAppRef: ITP_FORM_OPERATION03010_VIEW_EDITOR,
			elPlaceHolder: "ITP_FORM_OPERATION03010_VIEW_POP_DESC",
			sSkinURI: "se2/SmartEditor2Skin.html",	
			htParams : {
				bUseToolbar : true,				// 툴바 사용 여부 (true:사용/ false:사용하지 않음)
				bUseVerticalResizer : true,		// 입력창 크기 조절바 사용 여부 (true:사용/ false:사용하지 않음)
				bUseModeChanger : true,			// 모드 탭(Editor | HTML | TEXT) 사용 여부 (true:사용/ false:사용하지 않음)
				fOnBeforeUnload : function(){
					//alert("완료!");
				},
				I18N_LOCALE : "ko_KR"
			}, //boolean
			fOnAppLoad : function(){				
				$('#ITP_FORM_OPERATION03010_VIEW iframe').width('101%');
				ITP_FORM_OPERATION03010_VIEW_EDITOR.getById["ITP_FORM_OPERATION03010_VIEW_POP_DESC"].exec("SET_IR", [""]); //내용초기화
				if(fnCall) {
					fnCall();
				}					
			},
			fCreator: "createSEditor2"
		});			
		ITP_FORM_OPERATION03010_VIEW_EDITOR_IS_CREATED = true;
	} else {
		if(fnCall) {
			fnCall();
		}
	}
};
